List user accounts
List all connected accounts for a specific external user. Equivalent to GET /accounts with external_user_id filter but uses path-based routing.
Documentation Index
Fetch the complete documentation index at: https://pipedream.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
development, production Path Parameters
The project ID, which starts with proj_.
^proj_[a-zA-Z0-9]+$Response
accounts listed
The unique ID of the account.
^apn_[a-zA-Z0-9]+$The custom name of the account if set.
The external ID associated with the account.
Indicates if the account is healthy. Pipedream will periodically retry token refresh and test requests for unhealthy accounts
Indicates if the account is no longer active
Response object for a Pipedream app's metadata
The date and time the account was created, an ISO 8601 formatted string
The date and time the account was last updated, an ISO 8601 formatted string
The OAuth scopes effectively granted to this account. Empty for non-OAuth apps.
The credentials associated with the account, if the include_credentials parameter was set to true in the request (only applicable for BYOA apps). In addition to the well-known OAuth fields listed below, this object may contain app-specific custom fields (e.g. base_url).
The date and time the account's credentials expiration, an ISO 8601 formatted string
The error message if the account is unhealthy or dead, null otherwise
The date and time the account was last refreshed, an ISO 8601 formatted string
The date and time the account will next be refreshed, an ISO 8601 formatted string